Page MenuHomePhabricator

Convert builtin fields in Maniphest to CustomField
Closed, WontfixPublic

Description

Except maybe title and description which would always be at the top and bottom if that creates UX problems.

Event Timeline

swisspol updated the task description. (Show Details)May 10 2014, 4:39 AM
swisspol added a subscriber: swisspol.
swisspol created this task.
swisspol raised the priority of this task from to Needs Triage.
epriestley triaged this task as Low priority.

Maniphest is only mostly-transitioned to the CustomFields and ApplicationTransactions infrastructure, and still has some stuff like this at the edges.

This is essentially an infrastructure project -- complete the transition to CustomFields by getting the native fields on the common infrastructure.

Out of curiosity, which fields do you want to reorder?

It's not so much about reordering the existing fields which are in a fine order but about "inserting" custom fields in between them.

epriestley renamed this task from Allow maniphest.fields setting to sort all fields of a ticket to Convert builtin fields in Maniphest to CustomField.
qgil added a comment.Dec 18 2014, 2:28 PM

We want to position Projects above Blocks to make sure that they always are visible, regardless of the number of tasks blocked/blocking. See https://phabricator.wikimedia.org/T2001

chad added a subscriber: chad.Jul 24 2015, 9:26 PM

@joshuaspence are you still considering completing this?

joshuaspence added a comment.EditedJul 24 2015, 10:15 PM

I will get to it eventually but realistically I haven't started doing anything here. Feel free to reassign.

epriestley closed this task as Wontfix.Jul 28 2016, 10:13 PM

Phabricator's infrastructure has evolved a lot and CustomFields now serve a smaller role than they once did -- roughly, just custom fields. Later generation stuff (particularly EditEngine) feels better factored, and has reduced the responsibility of CustomFields.

Phabricator's task view UI is now less of a list of properties than it once was, and tasks don't really have any orderable fields by default anymore, so I think the original ordering motivation is sort of moot. With EditEngine, fields are fully reorderable on the edit form.

Overall, I don't think there's any real product or infrastructure motivation for this anymore. If you have one, file a new task per Contributing Feature Requests so we can get a more modern use case.

urzds added a subscriber: urzds.Jul 12 2017, 11:15 AM